<template>
  <v-row justify="center">
    <v-col>
      <poll-post-session  @event-1="saveAnswers"/>
    </v-col>
  </v-row>
</template>

<script>
import { mapState, mapActions, mapGetters } from 'vuex';
import PollPostSession from '~/components/Questionnaire/PollPostSession.vue';

export default {
  components: {
    'poll-post-session': PollPostSession,
  },
  data() {
    return {
      
    };
  },
  computed: {
    ...mapState({
      detailAppointment: state => state.specialist.appointments.detailAppointment,
    }),
  },
  methods: {
    ...mapActions({
      sendAnswers: 'patient/patient/sendAnswers',
    }),
    saveAnswers({answers}) {
      console.log("respuestas", answers);
      console.log("idSession: ",this.$route.params.id);
      this.sendAnswers({ sessionId: this.$route.params.id, answers: answers });
      this.$router.push(`/paciente/registro-cita`);
      this.$notifier.showMessage({ content: "Respuestas enviadas", color: '#1ECD96'  });
    },
  }
};
</script>

